using Adaptation.Shared;
using Adaptation.Shared.Methods;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using System.Diagnostics;
using System.Reflection;

namespace Adaptation._Tests.Extract.Staging.v2_43_4;

[TestClass]
public class CDE5
{

#pragma warning disable CA2254
#pragma warning disable IDE0060

    private static CreateSelfDescription.Staging.v2_43_4.CDE5 _CDE5;

    [ClassInitialize]
    public static void ClassInitialize(TestContext testContext)
    {
        CreateSelfDescription.Staging.v2_43_4.CDE5.ClassInitialize(testContext);
        _CDE5 = CreateSelfDescription.Staging.v2_43_4.CDE5.EAFLoggingUnitTesting;
    }

#if true
    [Ignore]
#endif
    [TestMethod]
    public void Staging__v2_43_4__CDE5__RsM() => _CDE5.Staging__v2_43_4__CDE5__RsM();

#if true
    [Ignore]
#endif
    [TestMethod]
    public void Staging__v2_43_4__CDE5__RsM637952212190000000__Normal()
    {
        DateTime dateTime;
        string check = "*.RsM";
        bool validatePDSF = false;
        _CDE5.Staging__v2_43_4__CDE5__RsM();
        MethodBase methodBase = new StackFrame().GetMethod();
        Assert.IsFalse(string.IsNullOrEmpty(_CDE5.AdaptationTesting.TestContext.FullyQualifiedTestClassName));
        string[] variables = _CDE5.AdaptationTesting.GetVariables(methodBase, check, validatePDSF);
        IFileRead fileRead = _CDE5.AdaptationTesting.Get(methodBase, sourceFileLocation: variables[2], sourceFileFilter: variables[3], useCyclicalForDescription: false);
        Logistics logistics = new(fileRead);
        _ = Shared.AdaptationTesting.ReExtractCompareUpdatePassDirectory(variables, fileRead, logistics, validatePDSF);
        dateTime = FileHandlers.RsM.ProcessData.GetDateTime(logistics, string.Empty);
        Assert.IsTrue(dateTime == logistics.DateTimeFromSequence);
        dateTime = FileHandlers.RsM.ProcessData.GetDateTime(logistics, "00:13 09/27/38");
        Assert.IsTrue(dateTime == logistics.DateTimeFromSequence);
    }

}